Bug 864323 - [abrt] gnome-abrt-0.2.3-1.fc17: expat.py:4:<module>:ImportError: /usr/lib64/python2.7/lib-dynload/pyexpat.so: undefined symbol: XML_SetHashSalt
[abrt] gnome-abrt-0.2.3-1.fc17: expat.py:4:<module>:ImportError: /usr/lib64/p...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
5
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:1ad9ffcd7706762ebc436c81329...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 03:13 EDT by Sławomir Abramczyk
Modified: 2015-11-30 08:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 08:20:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (66 bytes, text/plain)
2012-10-09 03:13 EDT, Sławomir Abramczyk
no flags Details
File: backtrace (7.61 KB, text/plain)
2012-10-09 03:13 EDT, Sławomir Abramczyk
no flags Details
File: core_backtrace (1.04 KB, text/plain)
2012-10-09 03:13 EDT, Sławomir Abramczyk
no flags Details

  None (edit)
Description Sławomir Abramczyk 2012-10-09 03:13:41 EDT
Description of problem:
1) Install abrt (yum install abrt* gnome-abrt)
2) Run abrt


Version-Release number of selected component:
gnome-abrt-0.2.3-1.fc17

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
cmdline:        python /usr/bin/gnome-abrt
kernel:         3.5.5-2.fc17.x86_64
Comment 1 Sławomir Abramczyk 2012-10-09 03:13:44 EDT
Created attachment 623936 [details]
File: dso_list
Comment 2 Sławomir Abramczyk 2012-10-09 03:13:47 EDT
Created attachment 623937 [details]
File: backtrace
Comment 3 Sławomir Abramczyk 2012-10-09 03:13:50 EDT
Created attachment 623938 [details]
File: core_backtrace
Comment 4 Jakub Filak 2013-03-11 06:42:43 EDT
Thank you for the report. Unfortunately, this seems like a bug in python-libs. Reassigning from gnome-abrt to python. Feel free to report any further bugs you find to our bug tracking system.

Evidences from the backtrace [attachment 623937 [details]]:
  File "/usr/lib64/python2.7/xml/parsers/expat.py", line 4, in <module>
    from pyexpat import *
ImportError: /usr/lib64/python2.7/lib-dynload/pyexpat.so: undefined symbol: XML_SetHashSalt
Comment 5 Thomas Spura 2013-03-11 06:46:07 EDT
This is the same bug as #821337, where oracle is installed on the system.

You can verify that with:
ldd /usr/lib64/python2.7/lib-dynload/pyexpat.so
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-11-30 08:20:42 EST
Seems to have slipped between the cracks because of the wrong version specified (5).

Note You need to log in before you can comment on or make changes to this bug.